## ros-indigo-rocon-tf-reconstructor 0.6.11

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(rocon_tf_reconstructor)

find_package(catkin REQUIRED COMPONENTS concert_msgs geometry_msgs roscpp tf)

## System dependencies are found with CMake's conventions
#find_package(Boost REQUIRED COMPONENTS system)

catkin_package(
  LIBRARIES ${PROJECT_NAME}_lib
  INCLUDE_DIRS include
  CATKIN_DEPENDS concert_msgs geometry_msgs roscpp tf
)

###########
## Build ##
###########

## Specify additional locations of header files
## Your package locations should be listed before other locations

include_directories(include
  ${catkin_INCLUDE_DIRS}
)

## Declare a cpp library
add_library(${PROJECT_NAME}_lib
            src/rocon_tf_reconstructor.cpp
            src/rocon_pose_client.cpp
            src/utils.cpp
)
set_target_properties(${PROJECT_NAME}_lib PROPERTIES OUTPUT_NAME rocon_tf_reconstructor)
target_link_libraries(${PROJECT_NAME}_lib ${catkin_LIBRARIES})
add_dependencies(${PROJECT_NAME}_lib concert_msgs_gencpp)

## Declare a cpp executable
add_executable(rocon_tf_reconstructor src/main.cpp)

## Specify libraries to link a library or executable target against
target_link_libraries(
  rocon_tf_reconstructor
  ${PROJECT_NAME}_lib
  ${catkin_LIBRARIES}
)

install(TARGETS rocon_tf_reconstructor_lib 
  DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
)

# Mark executables and/or libraries for installation
install(TARGETS rocon_tf_reconstructor
  DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)


# Mark cpp header files for installation
install(DIRECTORY include/${PROJECT_NAME}/
  DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
)

=== debian/changelog ===
ros-indigo-rocon-tf-reconstructor (0.6.11-1trusty) trusty; urgency=high



 -- Jihoon Lee <jihoonlee.in@gmail.com>  Thu, 27 Aug 2015 15:00:00 -0000

ros-indigo-rocon-tf-reconstructor (0.6.10-1trusty) trusty; urgency=high



 -- Jihoon Lee <jihoonlee.in@gmail.com>  Thu, 27 Aug 2015 15:00:00 -0000

ros-indigo-rocon-tf-reconstructor (0.6.9-1trusty) trusty; urgency=high

  * it should be key instead of name #306 <https://github.com/robotics-in-concert/rocon_concert/issues/306>
  * convert to ros friendly name for subscriber closes #306 <https://github.com/robotics-in-concert/rocon_concert/issues/306>
  * Contributors: Jihoon Lee

 -- Jihoon Lee <jihoonlee.in@gmail.com>  Wed, 08 Jul 2015 15:00:00 -0000

ros-indigo-rocon-tf-reconstructor (0.6.8-1trusty) trusty; urgency=high



 -- Jihoon Lee <jihoonlee.in@gmail.com>  Sun, 26 Apr 2015 15:00:00 -0000

ros-indigo-rocon-tf-reconstructor (0.6.7-1trusty) trusty; urgency=high



 -- Jihoon Lee <jihoonlee.in@gmail.com>  Sun, 05 Apr 2015 15:00:00 -0000

ros-indigo-rocon-tf-reconstructor (0.6.6-1trusty) trusty; urgency=high



 -- Jihoon Lee <jihoonlee.in@gmail.com>  Sun, 22 Mar 2015 15:00:00 -0000

ros-indigo-rocon-tf-reconstructor (0.6.5-1trusty) trusty; urgency=high



 -- Jihoon Lee <jihoonlee.in@gmail.com>  Thu, 26 Feb 2015 15:00:00 -0000

ros-indigo-rocon-tf-reconstructor (0.6.4-1trusty) trusty; urgency=high



 -- Jihoon Lee <jihoonlee.in@gmail.com>  Sun, 08 Feb 2015 15:00:00 -0000

ros-indigo-rocon-tf-reconstructor (0.6.3-1trusty) trusty; urgency=high



 -- Jihoon Lee <jihoonlee.in@gmail.com>  Sun, 04 Jan 2015 15:00:00 -0000

ros-indigo-rocon-tf-reconstructor (0.6.2-1trusty) trusty; urgency=high



 -- Jihoon Lee <jihoonlee.in@gmail.com>  Mon, 01 Dec 2014 15:00:00 -0000

ros-indigo-rocon-tf-reconstructor (0.6.1-1trusty) trusty; urgency=high

  * adding params for spin rate configuration. default spin rate 10hz Fix #240 <https://github.com/robotics-in-concert/rocon_concert/issues/240>
  * Contributors: Jihoon Lee

 -- Jihoon Lee <jihoonlee.in@gmail.com>  Thu, 20 Nov 2014 15:00:00 -0000

ros-indigo-rocon-tf-reconstructor (0.6.0-1trusty) trusty; urgency=high

  * replace string constant with string...this should eventually depracate anyway.
  * merging hydro-devel
  * disambiguate concert client update topics
  * Contributors: Daniel Stonier, Jihoon Lee

 -- Jihoon Lee <jihoonlee.in@gmail.com>  Sun, 24 Aug 2014 15:00:00 -0000

ros-indigo-rocon-tf-reconstructor (0.5.5-1trusty) trusty; urgency=high



 -- Jihoon Lee <jihoonlee.in@gmail.com>  Thu, 29 Aug 2013 15:00:00 -0000

ros-indigo-rocon-tf-reconstructor (0.5.4-1trusty) trusty; urgency=high

  * polishing cmake list
  * fixing cmake

 -- Jihoon Lee <jihoonlee.in@gmail.com>  Thu, 18 Jul 2013 15:00:00 -0000

ros-indigo-rocon-tf-reconstructor (0.5.3-1trusty) trusty; urgency=high



 -- Jihoon Lee <jihoonlee.in@gmail.com>  Tue, 16 Jul 2013 15:00:00 -0000

ros-indigo-rocon-tf-reconstructor (0.5.2-1trusty) trusty; urgency=high

  * update package.xml
  * 0.5.1
  * 0.5.0

 -- Jihoon Lee <jihoonlee.in@gmail.com>  Sun, 09 Jun 2013 15:00:00 -0000

ros-indigo-rocon-tf-reconstructor (0.5.1-1trusty) trusty; urgency=high



 -- Jihoon Lee <jihoonlee.in@gmail.com>  Mon, 27 May 2013 02:46:00 -0000

ros-indigo-rocon-tf-reconstructor (0.5.0-1trusty) trusty; urgency=high

  * correct library ordering
  * tf reconstuctor
  * dependencies must go from least to greatest.
  * 0.4.0
  * namespacing. proper ifdef
  * remove boost bind
  * client name has global namespace
  * Merge branch 'hydro-devel' of https://github.com/robotics-in-concert/rocon_concert into hydro-devel
  * eclipse project files.
  * make sure dependencies are built first.
  * install process in cmake
  * tf_reconstructor for rviz visualization in central workspace

 -- Jihoon Lee <jihoonlee.in@gmail.com>  Mon, 27 May 2013 01:48:00 -0000

ros-indigo-rocon-tf-reconstructor (0.3.0-1trusty) trusty; urgency=high



 -- Jihoon Lee <jihoonlee.in@gmail.com>  Mon, 04 Feb 2013 15:00:00 -0000

ros-indigo-rocon-tf-reconstructor (0.2.0-1trusty) trusty; urgency=high



 -- Jihoon Lee <jihoonlee.in@gmail.com>  Thu, 31 Jan 2013 15:00:00 -0000

ros-indigo-rocon-tf-reconstructor (0.1.1-1trusty) trusty; urgency=high



 -- Jihoon Lee <jihoonlee.in@gmail.com>  Tue, 11 Dec 2012 15:00:00 -0000

ros-indigo-rocon-tf-reconstructor (0.1.0-1trusty) trusty; urgency=high



 -- Jihoon Lee <jihoonlee.in@gmail.com>  Sun, 01 Apr 2012 15:00:00 -0000

=== debian/control ===
Source: ros-indigo-rocon-tf-reconstructor
Section: misc
Priority: extra
Maintainer: Jihoon Lee <jihoonlee.in@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-catkin, ros-indigo-concert-msgs, ros-indigo-geometry-msgs, ros-indigo-roscpp, ros-indigo-tf
Homepage: 
Standards-Version: 3.9.2

Package: ros-indigo-rocon-tf-reconstructor
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-concert-msgs, ros-indigo-geometry-msgs, ros-indigo-roscpp, ros-indigo-tf
Description: The rocon_tf_reconstructor package

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-rocon-tf-reconstructor//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
